Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
Admin Create Hub
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "slug": "<string>",
      "title": "<string>",
      "branding": {},
      "description": "<string>",
      "is_private": true,
      "legacy_hash": "<string>",
      "meta": {},
      "navigation": {},
      "settings": {}
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "branding": {},
      "created_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "is_private": true,
      "legacy_hash": "<string>",
      "meta": {},
      "navigation": {},
      "settings": {},
      "slug": "<string>",
      "team_id": "<string>",
      "title": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "policies_enabled": false
    },
    "id": "<string>",
    "type": "hubs"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Body

application/vnd.api+json
data
HubCreateResource · object
required

Response

Successful Response

data
HubResource · object
required